Subject: Re: [PATCH net-next 2/5] eth: fbnic: add initial PHC support

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Sep 2024 13:10:35 -0700

On Wed, 11 Sep 2024 20:49:51 +0100 Vadim Fedorenko wrote:
> >> + * TBD: alias u64_stats_sync & co. with some more appropriate names upstream.  
> > 
> > This is upstream, so maybe now is a good time to decide?  
> 
> That's good question. Do we need another set of helpers just because of 
> names? Obviously, the internals will be the same sequence magic.

Good question. To be clear we want a seq lock that goes away on 64b
since what it protects is accessed on the fast path (potentially per
packet). We could s/u64_stats/u64_seq/ the existing helpers. But that
sounds like a lot for a single user. Dunno..